<?php
#==============================================================================================#
#                                   Name  :  Imperial CHAT                                     #
#                               Made by  :  MaZaFaKa (___хакер___)                             #
#                                  MODED :  vipsds  (   BOT  )                                 #
#                                  ICQ  :  350502220 (vipsds)                                  #
#                                E-mai :  vipsds@wapnn.org                                     #
# По всем вопросам и дополнительным модам обращайтесь на выше указанные данные                 #
#==============================================================================================#
error_reporting(0);
include('start.php');
include("config.php");
include("./includes/".$ver."/banned");

list($msec, $sec) = explode(chr(32), microtime());
$headtime = $sec + $msec;
$ttl = "Ip,Софт  Бан панель";
$nocache = rand(10000, 99999);

switch($ver)
{
////////////////////////////////////////////////////////
//WML VERSION
////////////////////////////////////////////////////////
case 'wml':
header("Content-type: text/vnd.wap.wml; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `level` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"ERROR\" ontimer=\"index.php?ver=wml\"><timer value=\"15\"/><p align=\"left\">\n";
echo "<small>Ошибка авторизации!<br/>\n";
echo" <br/>$wmlfoot";
echo "</small></p></card></wml>";
exit();
}
//END AUTH

$level = mysql_result($q, 0);

if($level < 3)
{
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card id=\"error\" title=\"ERROR\" ontimer=\"menu.php?ver=wml&amp;".SID."\"><timer value=\"15\"/><p align=\"left\">\n";
echo "<small>Доступ запрещен.<br/>\n";
echo" <br/>$wmlfoot";
echo "</small></p></card></wml>";
exit();
}

$uid = intval($_GET['uid']);

$sql = mysql_query("SELECT `level`, `nickname` FROM `chat_users` WHERE `id` = '".$uid."';");

if(mysql_num_rows($sql) == 0)
{
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card id=\"error\" title=\"ERROR\" ontimer=\"menu.php?ver=wml&amp;".SID."\"><timer value=\"15\"/><p align=\"left\">\n";
echo "<small>Пользователь не найден.<br/>\n";
echo" <br/>$wmlfoot";
echo "</small></p></card></wml>";
exit();
}
else
{
$lev = mysql_result($sql, 0, 'level');
$nick = mysql_result($sql, 0, 'nickname');
}

if($lev > $level or $uid == 1)
{
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card id=\"error\" title=\"ERROR\" ontimer=\"menu.php?ver=wml&amp;".SID."\"><timer value=\"15\"/><p align=\"left\">\n";
echo "<small>Вы не можете блокировать данного пользователя. Нет прав.<br/>\n";
echo" <br/>$wmlfoot";
echo "</small></p></card></wml>";
exit();
}

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE

echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"$nick\"><p align=\"left\">\n";

if(isset($_GET['act']))
{
$q = mysql_query("SELECT `nickname` FROM `chat_users` WHERE `id` = '".$id."';");
$moder = mysql_result($q, 0);
$q = mysql_query("SELECT `ip`, `ua` FROM `chat_users` WHERE `id` = '".$uid."';");
$ip = mysql_result($q, 0, 'ip');
$ua = mysql_result($q, 0, 'ua');
$ban = mysql_query("INSERT INTO `chat_banned` VALUES(0, '".$ip."', '".$ua."');");
if($ban)
{
echo "$nick забанен(а) по связке IP+UserAgent!<br/>\n";
echo "[IP]: <u>".$ip."</u><br/>\n";
echo "[UserAgent]: <u>".$ua."</u><br/>\n";
}
else
{
echo "При занесении IP-адреса и UserAgent'а в базу данных произошла ошибка!<br/>\n";
}

$date = date("d-m-y H:i:s");
$query = mysql_query("SELECT `nickname` FROM `chat_users` WHERE `id` = '".$id."';");
$moder = mysql_result($query, 0);
$q = mysql_query("INSERT INTO `chat_logs` VALUES(0, '".$moder."', 3, '".$nick."', '".$reason."', '".$date."', ".time().");");
}
else
{
echo "Вы уверены, что хотите забанить пользователя $nick по IP+UserAgent?<br/>\n";
if(!empty($_GET['rid'])) echo "<a href=\"ipua.php?act=ban&amp;ver=wml&amp;nocache=$nocache&amp;".SID."&amp;uid=$uid&amp;rid=".intval($_GET['rid'])."\">[Да]</a> <a href=\"room.php?".SID."&amp;ver=wml&amp;rid=".intval($_GET['rid'])."\">[Нет]</a><br/>\n";
if(!empty($_GET['key'])) echo "<a href=\"ipua.php?act=ban&amp;ver=wml&amp;nocache=$nocache&amp;".SID."&amp;uid=$uid&amp;key=".$_GET['key']."\">[Да]</a> <a href=\"intim.php?".SID."&amp;ver=wml&amp;key=".$_GET['key']."\">[Нет]</a><br/>\n";
}

if(!empty($_GET['rid'])) echo "• <a href=\"room.php?".SID."&amp;ver=wml&amp;rid=".intval($_GET['rid'])."\">В чат</a><br/>\n";
if(!empty($_GET['key'])) echo "• <a href=\"intim.php?".SID."&amp;ver=wml&amp;key=".$_GET['key']."\">В чат</a><br/>\n";
echo "• <a href=\"menu.php?".SID."&amp;ver=wml\">В прихожую</a><br/>\n";
echo" <br/>$wmlfoot";
echo "</p></card></wml>";
break;

////////////////////////////////////////////////////////
//HTML VERSION
////////////////////////////////////////////////////////
case 'html':
header ("Content-type: text/html; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-relative");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `level` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">Ошибка</div>';
echo "<div class=\"d5\">Ошибка авторизации!</div>\n";
echo'<div class="d3">';
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
exit();
}
//END AUTH

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0 WHERE `id` = '".$id."';");
//END ONLINE

echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">'.$ttl.'</div>';

$level = mysql_result($q, 0);

if($level < 3)
{
echo "Доступ запрещен<br/>\n";
echo'<div class="d3">';
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
exit();
}

$uid = intval($_GET['uid']);

$sql = mysql_query("SELECT `level`, `nickname` FROM `chat_users` WHERE `id` = '".$uid."';");

if(mysql_num_rows($sql) == 0)
{
echo "Пользователь не найден в базе данных.<br/>\n";
echo'<div class="d3">';
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
exit();
}
else
{
$lev = mysql_result($sql, 0, 'level');
$nick = mysql_result($sql, 0, 'nickname');
}

if($lev > $level or $uid == 1)
{
echo "Вы не можете блокировать данного пользователя. Нет прав.<br/>\n";
echo'<div class="d3">';
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
exit();
}

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE



if(isset($_GET['act']))
{
$q = mysql_query("SELECT `nickname` FROM `chat_users` WHERE `id` = '".$id."';");
$moder = mysql_result($q, 0);
$q = mysql_query("SELECT `ip`, `ua` FROM `chat_users` WHERE `id` = '".$uid."';");
$ip = mysql_result($q, 0, 'ip');
$ua = mysql_result($q, 0, 'ua');
$ban = mysql_query("INSERT INTO `chat_banned` VALUES(0, '".$ip."', '".$ua."');");
if($ban)
{
echo "$nick забанен(а) по связке IP+UserAgent!<br/>\n";
echo "[IP]: <u>".$ip."</u><br/>\n";
echo "[UserAgent]: <u>".$ua."</u><br/>\n";
}
else
{
echo "При занесении IP-адреса и UserAgent'а в базу данных произошла ошибка!<br/>\n";
}

$date = date("d-m-y H:i:s");
$query = mysql_query("SELECT `nickname` FROM `chat_users` WHERE `id` = '".$id."';");
$moder = mysql_result($query, 0);
$q = mysql_query("INSERT INTO `chat_logs` VALUES(0, '".$moder."', 3, '".$nick."', '".$reason."', '".$date."', ".time().");");
}
else
{
echo "Вы уверены, что хотите забанить пользователя $nick по IP+UserAgent?<br/>\n";
if(!empty($_GET['rid'])) echo "<a href=\"ipua.php?act=ban&amp;ver=html&amp;nocache=$nocache&amp;".SID."&amp;uid=$uid&amp;rid=".intval($_GET['rid'])."\">[Да]</a> <a href=\"room.php?".SID."&amp;ver=html&amp;rid=".intval($_GET['rid'])."\">[Нет]</a><br/>\n";
if(!empty($_GET['key'])) echo "<a href=\"ipua.php?act=ban&amp;ver=html&amp;nocache=$nocache&amp;".SID."&amp;uid=$uid&amp;key=".$_GET['key']."\">[Да]</a> <a href=\"intim.php?".SID."&amp;ver=html&amp;key=".$_GET['key']."\">[Нет]</a><br/>\n";
}

if(!empty($_GET['rid'])) echo "<div class=\"d1\">• <a href=\"room.php?".SID."&amp;ver=html&amp;rid=".intval($_GET['rid'])."\">В чат</a></div>\n";
if(!empty($_GET['key'])) echo "<div class=\"d1\">• <a href=\"intim.php?".SID."&amp;ver=html&amp;key=".$_GET['key']."\">В чат</a></div>\n";
echo "<div class=\"d1\">• <a href=\"menu.php?".SID."&amp;ver=html\">В прихожую</a></div>";
echo'<div class="d3">';
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
break;
}
?>